cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Visitor
Visitor
464 Views
Registered: ‎02-28-2019

PMUFW Mismatch - U-Boot from 2018.1 & PMUFW.elf from 2018.2

Hi 

There is U-Boot.elf given to us by some other team. We are using that U-Boot.elf and packaging with pmufw.elf generated from 2018.2 and I am getting version mismatch. Can someone help with a workaround?

 

0 Kudos
6 Replies
Highlighted
Moderator
Moderator
452 Views
Registered: ‎09-12-2007

Fsbl, pmufw, asnd uboot versions must match. 

 

What version is your uboot?

0 Kudos
Highlighted
Moderator
Moderator
451 Views
Registered: ‎02-07-2018

HI @nikeeag 

You need to use the same version for  both u-boot & PMUFW.

We recomond to use same version only to avoid any unneccessary issues.

 

Thanks & regards

Aarvind

0 Kudos
Highlighted
Visitor
Visitor
442 Views
Registered: ‎02-28-2019

Aarvind and Stephen,

 

can we get a download link for prebuilt pmufw.elf 2018.1 link from somewhere?

0 Kudos
Highlighted
Moderator
Moderator
428 Views
Registered: ‎09-12-2007

You can build pmufw in SDK, or from git sources

Or, you can use the released images:

https://xilinx-wiki.atlassian.net/wiki/spaces/A/pages/18842543/Zynq+2018.2+Release

Or, you can use the 2018.1 board BSP, and use the prebuilt images here.

The pmufw would be common across all zynq ultrascale devices

0 Kudos
Highlighted
Visitor
Visitor
376 Views
Registered: ‎02-28-2019

Hi Stephenm,

Based on your suggestion, we tried 2018.1 BSP. We are using 2018.1 based U-Boot.

PMUFW, BL31, FSBL are all taken from pre-built folder, yet it is giving PMUFW mismatch error. But if we use directly the BOOT.BIN which came along with release folder along with uboot.elf which I have it is working fine.

Can you help how we localize the issue? Looks like it is a trivial problem. You can suggest where should we go and disable this error check.

0 Kudos
Highlighted
Moderator
Moderator
367 Views
Registered: ‎09-12-2007

Can you share the boot log

0 Kudos